---
openapi: 3.0.3
info:
  title: ipsum API
  version: 1.2.9
paths:
  /paragraph:
    get:
      tags:
      - Ipsum Resource
      parameters:
      - name: maxWords
        in: query
        schema:
          format: int32
          default: "99999"
          type: integer
      - name: minWords
        in: query
        schema:
          format: int32
          default: "0"
          type: integer
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParagraphContent'
  /paragraph/{id}:
    get:
      tags:
      - Ipsum Resource
      parameters:
      - name: id
        in: path
        required: true
        schema:
          format: int64
          type: integer
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParagraphContent'
components:
  schemas:
    ParagraphContent:
      type: object
      properties:
        id:
          format: int64
          type: integer
        content:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: basic
